Bug Hunting Session
Bug 109103 - Non-standard font color and varying font size in About dialog
Summary: Non-standard font color and varying font size in About dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.0.0
Keywords: easyHack
Depends on:
Blocks: branding
  Show dependency treegraph
 
Reported: 2017-07-13 15:06 UTC by Heiko Tietze
Modified: 2017-08-17 06:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
About box build with enable-kde4 on LXQt with Breeze Dark theme (65.82 KB, image/png)
2017-07-13 15:06 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2017-07-13 15:06:40 UTC
Created attachment 134617 [details]
About box build with enable-kde4 on LXQt with Breeze Dark theme

The font color in the About dialog is not chosen from the system default. That's not a problem for black on white themes but in case of inverted colors the text is not readable. Please use always system default. If necessary highlight parts with bold style or increase size.
Comment 1 Commit Notification 2017-07-15 06:49:49 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=79f5cb620984c4d04d53a497e698472b2192d2bb

tdf#109103 Non-standard font color in About dialog

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Heiko Tietze 2017-07-17 12:32:24 UTC
Modified the topic that it also covers the needed changes to the various font sizes in the About dialog.
Comment 3 Xisco Faulí 2017-08-17 02:25:21 UTC Comment hidden (obsolete)
Comment 4 Heiko Tietze 2017-08-17 06:48:17 UTC
(In reply to Xisco Faulí from comment #3)
> A polite ping, still working on this bug

Oups, it's fixed.